<template>
    <div>
        <!-- Paragraph-->
        <div class="title1 section-t-space">
            <h4>special offer</h4>
            <h2 class="title-inner1">top collection</h2>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-lg-6 offset-lg-3">
                    <div class="product-para">
                        <p class="text-center"></p>
                    </div>
                </div>
            </div>
        </div>
        <!-- Paragraph end -->

        <section class="section-b-space p-t-0 ratio_asos">
            <div class="container">
                <div class="row">
                    <div class="col">
                        <div class="product-4 col-md-4 product-m no-arrow">
                            <div class="product-box" v-for="(product,key) in products" :key="product.id">
                                <div class="img-wrapper">
                                    <div class="lable-block"><span class="lable3">new</span> <span class="lable4">on
                                        sale</span></div>
                                    <div class="front" @click="singlePage(product)">
                                        <a href="javascript:void(0)">
                                            <img :src="'storage/product/'+product.image" class="img-fluid blur-up lazyload bg-img"
                                                 alt=""></a>
                                    </div>
                                    <div class="back" @click="singlePage(product)">
                                        <a href="javascript:void(0)">
                                            <img :src="'storage/product/'+product.image"
                                                                                     class="img-fluid blur-up lazyload bg-img" alt=""></a>
                                    </div>
                                    <div class="cart-info cart-wrap">
                                        <button data-toggle="modal" data-target="#addtocart" @click="addCart(product)" title="Add to cart"><i
                                            class="ti-shopping-cart"></i></button> <a href="javascript:void(0)"
                                                                                      title="Add to Wishlist">
                                        <i class="ti-heart" aria-hidden="true"></i></a> <a
                                        href="javascript:void(0)" data-toggle="modal" data-target="#quick-view" title="Quick View"><i
                                        class="ti-search" aria-hidden="true"></i></a>
                                        <a href="javascript:void(0)" title="Compare"><i class="ti-reload" aria-hidden="true"></i></a></div>
                                </div>
                                <div class="product-detail" @click="singlePage(product)">
                                    <div class="rating"><i class="fa fa-star"></i> <i class="fa fa-star"></i> <i
                                        class="fa fa-star"></i> <i class="fa fa-star"></i> <i class="fa fa-star"></i>
                                    </div>
                                    <a href="javascript:void(0)">
                                        <h6>{{product.name}}</h6>
                                    </a>
                                    <h4>${{product.price}} <del>${{product.price}}</del></h4>
                                    <ul class="color-variant">
                                        <li class="bg-light0"></li>
                                        <li class="bg-light1"></li>
                                        <li class="bg-light2"></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</template>

<script>
    import {EventBus} from "./event-bus";

    export default {
        data(){
          return{
              products:{},
          }
        },
        created(){
            this.getInfo();
        },
        methods:{
            getInfo(){
                axios.get('/products/random').then((response)=>{
                    this.products=response.data;
                });
            },
            singlePage(product){
                EventBus.$emit('singleProduct',product);
            },
            addCart(product){
                axios.post('/product/add/cart',product).then((response) =>{
                    if (response.data[0] === 0){
                        this.$toaster.error(response.data[1]);
                    }else{
                        this.$toaster.success(response.data[1]);
                    }
                });
            },
        }
    }
</script>
